Subject: [Dime] Clarification on Few Use Cases

From: "Tushar Kanti. Panda" <[email-masked]>
Date: Thu, 3 Jan 2013 09:30:01 +0000

Hello Diameter Team,
                                          It is quite some time when I worked on Diameter related application. Recently for my project requirement, I again need to work on Diameter stuff. I got some doubts for few use cases and I need team's help to validate my understanding.

1st Use Case : It is regarding server initiated message such as RAR or ASR. These requests are sent from server to client and will always have destination host. My understanding says that server initiated message will also pass through  request routing principle as discussed in Sec 6.1 of RFC 6733. Having said above, it is possible that if the given destination host is not available from the server prospective, then server may route the server initiated request to some other server based on request routing. Is my understanding correct over here ?

I am not sure if there are any diameter applications which sends server initiated message without destination host and requests are routed. Whatever applications I have seen, all are having destination host mandatory AVP in the server initiated request.

2nd Use Case :

Is it possible that Server accepts subsequent messages related to a given sessions from multiple origin host. In simple terms, let's say Host 1 initiated the diameter session X1 with OCS server. Will OCS server give any error if it receives 2nd request on the same session from Host 2. Is this allowed ?

Thanks in advance for any help in this regard.

Regards
Tushar